Advisory Details

June 7th, 2023

(0Day) ZTE MF286R goahead Command Injection Remote Code Execution Vulnerability

ZDI-23-818
ZDI-CAN-19059

CVE ID CVE-2023-25649
CVSS SCORE 6.8, (AV:A/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H)
AFFECTED VENDORS ZTE
AFFECTED PRODUCTS MF286R
VULNERABILITY DETAILS

This vulnerability allows network-adjacent attackers to execute arbitrary code on affected installations of ZTE MF286R routers. Authentication is required to exploit this vulnerability.

The specific flaw exists within the handling of a request parameter provided to the SET_DEVICE_LED endpoint. The issue results from the lack of proper validation of a user-supplied string before using it to execute a system call. An attacker can leverage this vulnerability to execute code in the context of root.

ADDITIONAL DETAILS ZTE has issued an update to correct this vulnerability. More details can be found at:
https://support.zte.com.cn/support/news/LoopholeInfoDetail.aspx?newsId=1032544
DISCLOSURE TIMELINE
  • 2022-11-24 - Vulnerability reported to vendor
  • 2023-06-07 - Coordinated public release of advisory
  • 2023-08-31 - Advisory Updated
CREDIT Rafal Goryl (@voix44er)
BACK TO ADVISORIES